SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Web Server/CGI)  >   Squid Vendors:   Squid-cache.org
Squid ssl-bump Flaws Lets Remote Users Cause the Target Service to Crash
SecurityTracker Alert ID:  1033631
SecurityTracker URL:  http://securitytracker.com/id/1033631
CVE Reference:   GENERIC-MAP-NOMATCH   (Links to External Site)
Date:  Sep 22 2015
Impact:   Denial of service via network
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): 3.5.0.1 - 3.5.8
Description:   A vulnerability was reported in Squid. A remote user can cause denial of service conditions.

A remote user can send specially crafted data via SSL or TLS to trigger an integer overflow or input validation flaw in the 'ssl-bump' component and cause denial of service conditions on the target Squid service.

Systems configured with a listening port with ssl-bump are affected.

The vendor was notified on August 27, 2015.

Aleksandr Demchenko reported this vulnerability.

Impact:   A remote user can cause denial of service conditions.
Solution:   The vendor has issued a fix (3.5.9).

The vendor's advisory is available at:

http://www.squid-cache.org/Advisories/SQUID-2015_3.txt

Vendor URL:  www.squid-cache.org/Advisories/SQUID-2015_3.txt (Links to External Site)
Cause:   Boundary error, Input validation error
Underlying OS:  Linux (Any), UNIX (Any)

Message History:   None.


 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2020, SecurityGlobal.net LLC